JMSException (Message Queue, 5.1 API Specification)
Date: 2019-01-27

com.sun.messaging.jms

## Class JMSException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - com.sun.messaging.jms.JMSException

- All Implemented Interfaces:
    com.sun.messaging.jmq.jmsclient.logging.Loggable, java.io.Serializable

      public class JMSException
      extends javax.jms.JMSException
      implements com.sun.messaging.jmq.jmsclient.logging.Loggable

  This class encapsulates MQ JMSExceptions.

  It provides the following information:

  - A provider-specific string describing the error. This string is the standard exception message and is available via the `getMessage` method.
  - A provider-specific string error code
  - A reference to another exception. Often a JMS API exception will be the result of a lower-level problem. If appropriate, this lower-level exception can be linked to the JMS API exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSException(java.lang.String reason)` Constructs a `JMSException` with the specified reason and with the error code defaulting to null.
    `JMSException(java.lang.String reason, java.lang.String errorCode)` Constructs a `JMSException` with the specified reason and error code.
    `JMSException(java.lang.String reason, java.lang.String errorCode, java.lang.Throwable cause)` Constructs a `JMSException` with the specified reason, error code, and a specified cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getLogState()` get logging state of this object.
    `void` | `printStackTrace()` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSException` and obtained via `javax.jms.JMSException.getLinkedException()`
    `void` | `printStackTrace(java.io.PrintStream s)`
    `void` | `printStackTrace(java.io.PrintWriter s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSException` and obtained via `JMSException.getLinkedException()`
    `void` | `setLinkedException(java.lang.Exception ex)` If running under J2SE1.4 or above, this method will also set the cause of the `JMSException`.
    `void` | `setLogState(boolean state)` set state to true if this object is logged.

    - ### Methods inherited from class javax.jms.JMSException

      `getErrorCode, getLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSException

          public JMSException(java.lang.String reason,
                              java.lang.String errorCode)

      Constructs a `JMSException` with the specified reason and error code.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code

    - #### JMSException

          public JMSException(java.lang.String reason)

      Constructs a `JMSException` with the specified reason and with the error code defaulting to null.
      Parameters:
        `reason` - a description of the exception

    - #### JMSException

          public JMSException(java.lang.String reason,
                              java.lang.String errorCode,
                              java.lang.Throwable cause)

      Constructs a `JMSException` with the specified reason, error code, and a specified cause.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code
        `cause` - the cause. A `null` value is permitted, and indicates that the cause is non-existent or unknown.

  - ### Method Detail

    - #### setLinkedException

          public void setLinkedException(java.lang.Exception ex)

      If running under J2SE1.4 or above, this method will also set the cause of the `JMSException`. When a backtrace of the `JMSException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

      Overrides:
        `setLinkedException` in class `javax.jms.JMSException`

    - #### printStackTrace

          public void printStackTrace()

      If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSException` and obtained via `javax.jms.JMSException.getLinkedException()`

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintStream s)

      If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSException` and obtained via `javax.jms.JMSException.getLinkedException()`

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintWriter s)

      If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSException` and obtained via `JMSException.getLinkedException()`

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### setLogState

          public void setLogState(boolean state)

      set state to true if this object is logged.
      Specified by:
        `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Parameters:
        `state` - boolean

    - #### getLogState

          public boolean getLogState()

      get logging state of this object.
      Specified by:
        `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Returns:
        boolean true if this object is logged.

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.